using System;
using System.Threading;

namespace DMX2
{
	public abstract class DriverDMX: IDisposable
	{
		string id;

		public string ID {
			get {
				return id;
			}
			set {
				id = value;
			}
		}

		public DriverDMX (string _id) 
		{
			id=_id;
		}

		public abstract Gtk.Widget GetUI();


		protected bool disposed = false;		

		#region IDisposable implementation

		public virtual void Dispose()
		{
			disposed = true;
		}

		void IDisposable.Dispose ()
		{
			if(!disposed)
				Dispose();
		}
		#endregion
	}
}

